This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 839374 - A deltacloud job with wrong credentails is not moved into hold state
A deltacloud job with wrong credentails is not moved into hold state
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-deltacloud-gahp (Show other bugs)
2.2
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: grid-maint-list
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 14:51 EDT by Luigi Toscano
Modified: 2016-05-26 16:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-26 16:14:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Toscano 2012-07-11 14:51:14 EDT
Description of problem:
When a deltacloud jobs contains wrong credentials (invalid username or password), the job is not (immediately) moved to hold state, which is the expected behavior when the specified image id is wrong.

GridmanagerLog (D_FULLDEBUG) contains lines like
07/11/12 20:42:39 [25679] GAHP[25683] -> '3' 'Instance_Fetch_Failure: 401 Unauthorized'
07/11/12 20:42:39 [25679] BaseResource::DoBatchStatus for http://dc.example.com:3002/api.
07/11/12 20:42:39 [25679] Error attempting a Deltacloud batch status query: Instance_Fetch_Failure: 401 Unauthorized
07/11/12 20:42:39 [25679] BaseResource::DoBatchStatus: An error occurred trying to finish a bulk poll of http://dc.example.com:3002/api

and then, periodically, lines like:
07/11/12 20:47:40 [25679] GAHP[25683] -> '4' 'Instance_Fetch_Failure: 401 Unauthorized'
07/11/12 20:47:40 [25679] resource http://dc.example.com:3002/api is still down


Version-Release number of selected component (if applicable):
condor-deltacloud-gahp-7.6.5-0.16
condor-7.6.5-0.16
Comment 1 Luigi Toscano 2012-07-11 14:56:20 EDT
And moreover, when said job is removed, gridmanager still continue to try to fetch information and the jobs stays in X state.
Comment 2 Luigi Toscano 2012-07-11 15:08:45 EDT
Same behavior for jobs when the deltacloud server can't be reached (also for  comment #1: this jobs are difficult to kill).
Comment 3 Matthew Farrellee 2012-07-12 08:17:34 EDT
It is expected a job will stay X if any resources have been allocated via deltacloud. The gridmanager wants to make sure it has cleaned up the remote side.
Comment 4 Anne-Louise Tangring 2016-05-26 16:14:06 EDT
MRG-Grid is in maintenance and only customer escalations will be considered. This issue can be reopened if a customer escalation associated with it occurs.

Note You need to log in before you can comment on or make changes to this bug.